Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17586

Description

Hello guys and gals.

First of all, here's my setup:

    -  Ubuntu 13.01

    -  QGis installed from ubuntugis-unstable ppa;

    -  QGis 2.0;

    -  PostGIS 2.0;

    -  PostgreSQL 9.1;

I have a database with a SIRGAS UTM projection and a project with web mercator projection. I can edit my data as usual, and it's just

fine. The map is on web mercator because of OpenLayers plugin layer added to the map.

I've tried to use the topology checker with Web Mercator projection, and it reports no errors. If I remove the OpenLayers plugin layer and

configure the map to my original SRID, the topology checker works just fine and reports errors as usual.

I have not tried to test two layer topology when the layers are in different projections, but it seems that whenever the map is configured to

a projection different than the layer's in test projection, the topology checker does not work.

History

#1 - 2013-10-19 02:35 AM - Giovanni Manghi

- Category changed from Vectors to C++ Plugins

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-06-29 11:23 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Topology checker

#3 - 2015-06-03 02:35 AM - Paolo Cavallini

Here the plugin works - the only issue is that the zoom to invalid record is aways done on the original projection, so if OTF is enabled, it zooms to a wrong

area.

#4 - 2015-06-03 02:35 AM - Paolo Cavallini

- Affected QGIS version changed from 2.0.1 to 2.8.2

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No
- Easy fix? set to No

#6 - 2019-03-09 03:11 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
